components:
  schemas:
    AccountService_v1_2_8_AccountService:
      additionalProperties: false
      description: The AccountService schema defines an account service.  The properties
        are common to, and enable management of, all user accounts.  The properties
        include the password requirements and control features, such as account lockout.  The
        schema also contains links to the manager accounts and roles.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccountLockoutCounterResetAfter:
          description: The period of time, in seconds, between the last failed login
            attempt and the reset of the lockout threshold counter.  This value must
            be less than or equal to the AccountLockoutDuration value.  A reset sets
            the counter to `0`.
          format: int64
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the period of time, in seconds,
            from the last failed login attempt when the AccountLockoutThreshold counter,
            which counts the number of failed login attempts, is reset to `0`.  Then,
            AccountLockoutThreshold failures are required before the account is locked.  This
            value shall be less than or equal to the AccountLockoutDuration value.  The
            threshold counter also resets to `0` after each successful login.  If
            the AccountLockoutCounterResetEnabled value is `false`, this property
            shall be ignored.
          x-units: s
        AccountLockoutDuration:
          description: The period of time, in seconds, that an account is locked after
            the number of failed login attempts reaches the account lockout threshold,
            within the period between the last failed login attempt and the reset
            of the lockout threshold counter.  If this value is `0`, no lockout will
            occur.  If the AccountLockoutCounterResetEnabled value is `false`, this
            property is ignored.
          format: int64
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the period of time, in seconds,
            that an account is locked after the number of failed login attempts reaches
            the AccountLockoutThreshold value, within the AccountLockoutCounterResetAfter
            window of time.  The value shall be greater than or equal to the AccountLockoutCounterResetAfter
            value.  If this value is `0`, no lockout shall occur.  If AccountLockoutCounterResetEnabled
            value is `false`, this property shall be ignored.
          x-units: s
        AccountLockoutThreshold:
          description: The number of allowed failed login attempts before a user account
            is locked for a specified duration.  If `0`, the account is never locked.
          format: int64
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the threshold of failed login
            attempts before a user account is locked.  If `0`, the account shall never
            be locked.
        Accounts:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The collection of manager accounts.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type ManagerAccountCollection.
        Actions:
          $ref: '#/components/schemas/AccountService_v1_2_8_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_2_0
        AuthFailureLoggingThreshold:
          description: The number of authorization failures per account that are allowed
            before the failed attempt is logged to the manager log.
          format: int64
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the threshold for when an
            authorization failure is logged.  Logging shall occur after every `n`
            occurrences of an authorization failure on the same account, where `n`
            represents the value of this property.  If the value is `0`, logging of
            authorization failures shall be disabled.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        MaxPasswordLength:
          description: The maximum password length for this account service.
          format: int64
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the maximum password length
            that the implementation allows for this account service.  This property
            does not apply to accounts from external account providers.
        MinPasswordLength:
          description: The minimum password length for this account service.
          format: int64
          minimum: 0
          readOnly: false
          type: integer
          x-longDescription: This property shall contain the minimum password length
            that the implementation allows for this account service.  This property
            does not apply to accounts from external account providers.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PrivilegeMap:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the mapping of the privileges required to complete
            a requested operation on a URI associated with this service.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            PrivilegeMapping that contains the privileges that are required for a
            user context to complete a requested operation on a URI associated with
            this service.
          x-versionAdded: v1_1_0
        Roles:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The collection of Redfish roles.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type RoleCollection.
        ServiceEnabled:
          description: An indication of whether the account service is enabled.  If
            `true`, it is enabled.  If `false`, it is disabled and users cannot be
            created, deleted, or modified, and new sessions cannot be started.  However,
            established sessions might still continue to run.  Any service, such as
            the session service, that attempts to access the disabled account service
            fails.  However, this does not affect HTTP Basic Authentication connections.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether the account service
            is enabled.  If `true`, it is enabled.  If `false`, it is disabled and
            users cannot be created, deleted, or modified, and new sessions cannot
            be started.  However, established sessions might still continue to run.  Any
            service, such as the session service, that attempts to access the disabled
            account service fails.  However, this does not affect HTTP Basic Authentication
            connections.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent an account service for a Redfish
        implementation.  The properties are common to, and enable management of, all
        user accounts.  The properties include the password requirements and control
        features, such as account lockout.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AccountService_v1_2_8_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/AccountService_v1_2_8_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AccountService_v1_2_8_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#AccountService.v1_2_8.AccountService'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2017.1'
